<?php
$current_addon_data = auto_mail_get_addon_data('mailerlite');
?>
<div class="robot-box" role="document">

    <div class="robot-box-header robot-block-content-center">

        <div class="robot-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_MAIL_URL.'/assets/images/addons/mailerlite.png'); ?>" alt="<?php esc_attr_e( 'MailerLite API', Auto_Mail::DOMAIN ); ?>">

        </div>

        <div class="robot-box-content integration-header">

            <h3 class="robot-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup MailerLite API', Auto_Mail::DOMAIN ); ?></h3>

			<span class="robot-description">
                <?php esc_html_e( 'Setup MailerLite API Key to be used by Auto Mail to collect data from third party apps.', Auto_Mail::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="robot-box-body">
        <form class="robot-integration-form" method="post" name="robot-integration-form" action="">

            <div class="robot-form-field">
                <label class="robot-label"><?php esc_html_e( 'API Key', Auto_Mail::DOMAIN ); ?></label>
                <div class="robot-control-with-icon">
                    <ion-icon class="robot-icon-key" name="key"></ion-icon>
                    <input name="api_key" placeholder="<?php esc_html_e( 'API Key', Auto_Mail::DOMAIN ); ?>" value="<?php if(!empty($current_addon_data['api_key'])){echo $current_addon_data['api_key'];}?>" class="robot-form-control">
                    <span class="robot-error-message-name" style="display: none;"><?php _e("Please enter a valid Mailchimp API key.", Auto_Mail::DOMAIN); ?></span>
                </div>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('mailerlite');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >

            <div class="robot-border-frame robot-description">

                <span>
                    <?php
                    printf(
                        esc_html__( 'Follow %1$s your your Client ID and Secret.', Auto_Mail::DOMAIN ),
                        '<a href="https://wpautomail.com/document/api-settings/">these instructions to retrieve</a>'
                    );
                    ?>
                </span>

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Mail::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="robot-box-footer robot-box-footer-center">
        <button type="button" class="robot-button robot-addon-connect">
            <span class="robot-loading-text"><?php esc_html_e( 'Connect', Auto_Mail::DOMAIN ); ?></span>
        </button>
    </div>

</div>