<?php
$current_addon_data = auto_mail_get_addon_data('mailerlite');
if($current_addon_data['is_connected']){
    $mailerliteAPI = new Auto_Mail_MailerLite_API( $current_addon_data['api_key'] );
    $lists = $mailerliteAPI->list_groups();
}
$mailerliteList = array();
foreach($lists as $key => $list){
   $mailerliteList[$key]['id'] = $list['id'];
   $mailerliteList[$key]['name'] = $list['name'];
}
$connectedListID = auto_mail_get_connected_list('mailerlite', $form_id);
?>
<?php if ( $current_addon_data['is_connected'] ) { ?>
<div class="robot-box" role="document">

    <div class="robot-box-header robot-block-content-center">

        <div class="robot-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_MAIL_URL.'/assets/images/addons/mailerlite.png'); ?>" alt="<?php esc_attr_e( 'MailerLite API', Auto_Mail::DOMAIN ); ?>">

        </div>

        <div class="robot-box-content integration-header">

            <h3 class="robot-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup MailerLite API', Auto_Mail::DOMAIN ); ?></h3>

			<span class="robot-description">
                <?php esc_html_e( 'Setup MailerLite API Key to be used by Auto Mail to collect data from third party apps.', Auto_Mail::DOMAIN ); ?>
			</span>

        </div>

    </div>

    <div class="robot-box-body">
        <form class="robot-integration-form" method="post" name="robot-integration-form" action="">

            <div class="robot-form-field">
                <span class="dropdown-el am-connector-list-selector">
                    <?php foreach ( $mailerliteList as $key => $value ) : ?>
                        <input type="radio" name="mailerlite_list" value="<?php echo esc_attr( $value['id'] ); ?>" <?php if($value['id'] == $connectedListID){echo 'checked="checked"';}else if($key == 0){echo 'checked="checked"';} ?> id="<?php echo esc_attr( $value['id'] ); ?>">
                        <label for="<?php echo esc_attr( $value['id'] ); ?>"><?php echo esc_html( $value['name']); ?></label>
                    <?php endforeach; ?>
                </span>
            </div>

            <input type="hidden" name="slug" value="<?php echo esc_attr('mailerlite');?>" >
            <input type="hidden" name="is_connected" value="<?php echo esc_attr($current_addon_data['is_connected']);?>" >
            <input type="hidden" name="form_id" value="<?php echo esc_attr($form_id);?>" >

            <div class="robot-border-frame robot-description">

                <span>
                    <?php
                    printf(
                        esc_html__( 'Follow %1$s your your Client ID and Secret.', Auto_Mail::DOMAIN ),
                        '<a href="https://wpautomail.com/document/api-settings/">these instructions to retrieve</a>'
                    );
                    ?>
                </span>

                <span>
                    <?php esc_html_e( 'Follow these instructions to retrieve your Client ID and Secret.', Auto_Mail::DOMAIN ); ?>
                </span>

            </div>

        </form>

    </div>

    <div class="robot-box-footer robot-box-footer-center">
        <button type="button" class="robot-button robot-service-connect">
            <span class="robot-loading-text"><?php esc_html_e( 'Connect', Auto_Mail::DOMAIN ); ?></span>
        </button>
    </div>

</div>
<?php } else { ?>
<div class="robot-box" role="document">

    <div class="robot-box-header robot-block-content-center">

        <div class="robot-dialog-image" aria-hidden="true">

            <img src="<?php echo esc_url(AUTO_MAIL_URL.'/assets/images/addons/mailerlite.png'); ?>" alt="<?php esc_attr_e( 'MailerLite List', Auto_Mail::DOMAIN ); ?>">

        </div>

        <div class="robot-box-content integration-header">

            <h3 class="robot-box-title" id="dialogTitle2"><?php esc_html_e( 'Setup MailerLite List', Auto_Mail::DOMAIN ); ?></h3>
			<span>
                    <?php
						$integration_url = '<a target="_blank" href="'.admin_url( 'admin.php?page=auto-mail-addons' ).'">Integrations</a>';
              			printf(
                  			esc_html__( 'Send this subscription form data to mailerlite applications. You will need to connect mailerlite applications via the %1$s page.', Auto_Mail::DOMAIN ),
                  			$integration_url
              			);
              		?>
            </span>
        </div>

    </div>

    <div class="robot-box-footer robot-box-footer-center">
    </div>

</div>
<?php } ?>