<?php
$addons = auto_mail_get_addons();
?>
<div id="auto-mail-apps" class="auto-mail-box-tab active">

    <div class="auto-mail-box">

        <div class="auto-mail-box-header">

            <h2 class="auto-mail-box-title">
                <?php esc_html_e( 'Your API Settings', Auto_Mail::DOMAIN ); ?>
            </h2>

        </div>

        <div id="auto-mail-integrations-page" class="auto-mail-box-body">
            <p>
                <?php esc_html_e( 'Auto Mail integrates with your favorite third party apps. You can connect to the available apps via their API here and activate them to collect data from third party apps.', Auto_Mail::DOMAIN ); ?>
            </p>

            <div class="auto-mail-integrations-block">

                <span class="auto-mail-table-title"><?php esc_html_e( 'Connected Apps', Auto_Mail::DOMAIN ); ?></span>

                <?php
                if ( ! empty( $addons['connected'] ) ) {
                ?>

                <table class="auto-mail-table auto-mail-table--apps">
                    <tbody>
                    <?php foreach ( $addons['connected'] as $key => $provider ) : ?>

                    <tr class="auto-mail-integration-enabled">
                        <td class="auto-mail-table-item-title">
                            <div class="auto-mail-app--wrapper">
                                <img src="<?php echo esc_attr($provider['icon_url']); ?>" alt="<?php echo esc_attr($provider['name']); ?>" class="auto-mail-addon-image" aria-hidden="true">
                                <span><?php echo esc_html($provider['name']); ?></span>
                                <a href="#integration-popup" class="auto-mail-connect-integration" data-effect="mfp-zoom-in" data-slug="<?php echo esc_attr($provider['slug']); ?>">
                                <button class="auto-mail-button-icon auto-mail-tooltip auto-mail-tooltip-top-right connect-integration">
                                    <ion-icon name="settings-outline"></ion-icon>
                                    <span class="auto-mail-screen-reader-text"><?php esc_html_e( 'Connect this integration', Auto_Mail::DOMAIN ); ?></span>
                                </button>
                                </a>
                            </div>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>

                <?php } else { ?>

                    <div class="auto-mail-notice auto-mail-notice-info">
                        <p><?php esc_html_e( 'You are not connected to any third party apps. You can connect to the available apps listed below and activate them in your modules to collect data.', Auto_Mail::DOMAIN ); ?></p>
                    </div>

                <?php } ?>

                <span class="auto-mail-description">
                    <?php esc_html_e( 'To activate any of these to collect data, click the following app name and add the API settings data.', Auto_Mail::DOMAIN ); ?>
                </span>

            </div>

            <div class="auto-mail-integrations-block">

                <span class="auto-mail-table-title"><?php esc_html_e( 'Available Apps', Auto_Mail::DOMAIN ); ?></span>

                <?php
                if ( ! empty( $addons['not_connected'] ) ) {
                ?>

                <table class="auto-mail-table auto-mail-table--apps">
                    <tbody>
                    <?php foreach ( $addons['not_connected'] as $key => $provider ) : ?>
                        <tr>
                            <td class="auto-mail-table-item-title">
                                <div class="auto-mail-app--wrapper">
                                    <img src="<?php echo esc_attr($provider['icon_url']); ?>"  alt="<?php echo esc_attr($provider['name']); ?>" class="auto-mail-addon-image" aria-hidden="true">
                                    <span><?php echo esc_html($provider['name']); ?></span>
                                    <a href="#integration-popup" class="auto-mail-connect-integration" data-effect="mfp-zoom-in" data-slug="<?php echo esc_attr($provider['slug']); ?>">
                                        <button class="auto-mail-button-icon auto-mail-tooltip auto-mail-tooltip-top-right" >
                                        <ion-icon name="add"></ion-icon>
                                        <span class="auto-mail-screen-reader-text"><?php esc_html_e( 'Connect this integration', Auto_Mail::DOMAIN ); ?></span>
                                    </button>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>


                <?php
                    }
                ?>

            </div>
        </div>

    </div>

    <!-- Integration Popup -->
    <div id="integration-popup" class="white-popup mfp-with-anim mfp-hide">
    </div>

</div>