<?php
/**
 * Auto_Mail_MailChimp_Service Class
 *
 * @since  1.0.0
 * @package Auto Mail
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly

if ( ! class_exists( 'Auto_Mail_MailChimp_Service ' ) ) :

    class Auto_Mail_MailChimp_Service extends Auto_Services_Abstract{

		/**
		 * Validate the provided API key.
		 *
		 * @since 4.0
		 *
		 * @param string $api_key
		 * @return bool
		 */
		public function validate_api_key( $api_key ) {
			if ( empty( trim( $api_key ) ) ) {
				return false;
			}

			// Check API Key by validating it on get_info request
			try {
				$mailchimpAPI = new AutoMailchimpAPI( $api_key );
				$info = $mailchimpAPI->ping();
				if ( is_wp_error( $info ) ) {
					return false;
				}
			} catch ( Exception $e ) {
				return false;
			}

			return true;
		}

    }

endif;
